pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/41357: apache package should probably depend on libexpat

The following reply was made to PR pkg/41357; it has been noted by GNATS.

From: Quentin Garnier <>
To: Tyler Retzlaff <>
Subject: Re: pkg/41357: apache package should probably depend on libexpat
Date: Tue, 5 May 2009 15:14:53 +0200

 Content-Type: text/plain; charset=us-ascii
 Content-Disposition: inline
 Content-Transfer-Encoding: quoted-printable
 On Tue, May 05, 2009 at 11:09:28PM +1000, Tyler Retzlaff wrote:
 > On Tue, May 05, 2009 at 01:00:06PM +0000, Quentin Garnier wrote:
 > > =20
 > >  apache depends on expat.  But it's a built-in when you have native
 > >  X.Org.  What you need is xbase.tgz...
 > the machine in question has no xsets installed. infact it is a minimal
 > install with only base.tgz and etc.tgz and i've no intention of putting
 > any other sets on the machine.
 > i'm happy for the pr to be closed if this is "just the way it works" it
 > was easily resolved by manually pkg_add'ing expat.
 > i'm a little confused why env PKG_PATH=3D pkg_add=
 > didn't install all of the dependencies. just surprised but maybe I
 > shouldn't be.
 It did install the dependencies.  But it's depending on xbase's expat,
 not the packaged one.
 Quentin Garnier - -
 "See the look on my face from staying too long in one place
 [...] every time the morning breaks I know I'm closer to falling"
 KT Tunstall, Saving My Face, Drastic Fantastic, 2007.
 Content-Type: application/pgp-signature
 Content-Disposition: inline
 Version: GnuPG v1.4.9 (NetBSD)

Home | Main Index | Thread Index | Old Index